10 '     From the feeble mind of N3GO - Gary O'Neil - March 17, 1995
20 '           End-fed Zepp/J-pole design calculations
30 CLS:PRINT:PRINT:PRINT:PRINT
40 '   ZA = Antenna Feedpoint Impedance, ZF = Feedline Impedance, and
50 '   Z0 = the impedance of the matching transmission line.
60 '   ZA = 3500 TO 5000 OHMS FOR END FED DIPOLE.
70 '   ZF = 50 ohms in my analysis
80 '   Z0 = 300 Ohms nominal ** Note:  Maximum = sqrt(ZA*ZF)
90  INPUT"               Enter Antenna Impedance in ohms:  ",ZA
100 INPUT"      Enter coaxial feedline impedance in ohms:  ",ZF
110 INPUT"      Enter impedance of matching line in ohms:  ",Z0
120 CLS
130 PRINT"                  Feedline Impedance: ";ZF;"ohms"
140 PRINT"Matching Transmission line Impedance: ";Z0;"ohms"
150 INPUT"                     velocity factor: ";V
160 INPUT"                     Frequency (MHz): ";F
170 CLS
180 ZMAX=SQR(ZA*ZF)
190 IF Z0 <= ZMAX THEN 220 ELSE 1030
200 '    V = velocity factor of transmission line used for matching
210 '        network"
220 '   **** ZP = the antenna impedance ZA normalized to the stub
230 '             impedance Z0.
240 ZP=ZA/Z0:REM ***** Equation A1
250 '   **** RHO = the antenna reflection coefficient with respect to
260 '               the matching stub impedance.
270 RHO=(ZP-1)/(ZP+1):REM ***** Equation A2
280 '   **** YF = The feedline addmittance 1/ZF normalized to the stub
290 '              addmittance 1/Z0.
300 YF=Z0/ZF:REM ***** Equation A3
310 '   **** B = the normalized suseptance of the shorted stub
320 '             section.
330 '   ***** Equation A4
340 B=SQR((RHO*RHO*(YF+1)*(YF+1)-(YF-1)*(YF-1))/(1-RHO*RHO))
350 '   **** X2 = the normalized reactance of the shorted stub
360 '              section.
370 X2=1/B:REM ***** Equation A5
380 L2=ATN(X2)*(180/3.141592818#):REM ***** EQUATION A6
390 R=YF/(YF*YF+B*B):REM ***** Equation A7 (Real)
400 X1=B/(YF*YF+B*B):REM ***** Equation A7 (Imag)
410 L1=90-(ATN(X1)*(180/3.141592818#)):REM ***** Equation A8
420 '   *** The constant 5606 is 95 percent of the speed of light in
430 '        inches for half a wavelength at 1 MHz.
440 DIPOLE=5606/F:REM ***** EQUATION A9 - A
450 '   *** The constant 32.78 is the speed of light in
460 '        inches/degree/MHz
470 SERIES=32.78*V*(L1/F):REM ***** EQUATION A9 - B
480 '   *** The constant 32.78 is the speed of light in
490 '        inches/degree/MHz
500 SHUNT=32.78*V*(L2/F):REM ***** EQUATION A9 - C
510 PRINT"           Frequency = ";F;"MHz."
520 PRINT"   Wavelength in air = ";299.7*39.37/F;"inches"
530 PRINT"      length of stub = ";(L1+L2)/360;"wavelengths."
540 PRINT"     Height of 'Tap' = ";L2/360;"wavelengths."
550 PRINT"       Dipole Length = ";      DIPOLE;"in.  ";DIPOLE/12;"ft."
560 PRINT" Series Trans.  Line = ";      SERIES;"in.  ";SERIES/12;"ft."
570 PRINT"  Shunt Trans.  Line = ";       SHUNT;"in.  ";SHUNT/12;"ft."
580 PRINT"         Stub Length = ";SERIES+SHUNT;"in.  ";
590 PRINT (SERIES+SHUNT)/12;"ft."
600 PRINT"      Overall Length = ";SERIES+SHUNT+DIPOLE;"in.  ";
610 PRINT (SERIES+SHUNT+DIPOLE)/12;"ft."
620 PRINT:PRINT:PRINT
630 PRINT"Impedances used for this calculation are as follows:  "
640 PRINT
650 PRINT"                 Impedance of End-fed Dipole:  ";
660 PRINT ZA;" Ohms"
670 PRINT"           Antenna System Feedline Impedance:  ";
680 PRINT ZF;" Ohms"
690 PRINT"Matching Section Transmission Line impedance:  ";
700 PRINT Z0;" Ohms"
710 PRINT"      Maximum Usable Matching Line impedance:  ";
720 PRINT ZMAX;" Ohms"
730 PRINT"         Velocity Factor of Matching Section:  ";V
740 PRINT:PRINT:  PRINT
750 INPUT"                                        Modify Inputs ";A$
760 IF A$="n" OR A$="N" OR A$="no" OR A$="No" OR A$="NO" THEN 770 ELSE 790
770 INPUT"                           (S)tart Over or (E)xit ";A$
780 IF A$="s" OR A$="S" THEN 30 ELSE 1110
790 CLS
800 PRINT"   Which parameter do you wish to modify"
810 PRINT"       (F)requency"
820 PRINT"       (A)ntenna feedpoint impedance"
830 PRINT"       (M)atching transmission line impedance"
840 PRINT"       (V)elocity constant"
850 PRINT"       (C)oaxial feedline impedance"
860 INPUT A$
870 IF A$="F" OR A$="f" THEN 880 ELSE 900
880 INPUT"       New Frequency (MHz) ";F
890 GOTO 170
900 IF A$="A" OR A$="a" THEN 910 ELSE 930
910 INPUT"       New Antenna feedpoint impedance ";ZA
920 GOTO 170
930 IF A$="M" OR A$="m" THEN 940 ELSE 960
940 INPUT"       New Matching transmission line impedance ";Z0
950 GOTO 170
960 IF A$="V" OR A$="v" THEN 970 ELSE 990
970 INPUT"       New Velocity constant ";V
980 GOTO 170
990 IF A$="C" OR A$="c" THEN 1000 ELSE 1020
1000 INPUT"       New Coaxial feedline impedance ";ZF
1010 GOTO 170
1020 CLS: GOTO 740
1030 CLS
1040 PRINT:PRINT:PRINT
1050 PRINT"      Matching line must have a Z0 less than ";ZMAX;
1060 PRINT " Ohms."
1070 PRINT:PRINT "        or the coaxial feed a Z0 greater than ";Z0^2/ZA;
1080 PRINT " Ohms."
1090 PRINT:PRINT:PRINT
1100 GOTO 100
1110 CLS :SYSTEM
1120 END
